var path = require('path')
var webpack = require('webpack')

module.exports = {
  entry: './test/test.js',
  output: {
    path: path.resolve(__dirname, 'test'),
    filename: 'test.js'
  },
  resolve: {
    alias: {
      src: path.resolve(__dirname, 'src')
    }
  },
  module: {
    loaders: [
      {
        test: /\.js$/,
        loader: 'babel',
        exclude: /node_modules/
      }
    ]
  },
  babel: {
    presets: ['es2015']
  },
  plugins: [
    new webpack.DefinePlugin({
      'process.env': {
        NODE_ENV: '"production"'
      }
    })
  ],
  devServer: {
    contentBase: './test',
    noInfo: true
  },
  devtool: '#source-map'
}
